Drop Python 2.6 and 3.3?

Issue #609 resolved
hugovk created an issue

Have you considered dropping support for CPython 2.6 (unsupported since 2013)?

https://en.wikipedia.org/wiki/CPython#Version_history

Coverage.py has already dropped 3.2 (unsupported since 2016), but there were bigger gains for doing so (notably u"" strings and Unicode support).

Still, here's some reasons for dropping 2.6: https://snarky.ca/stop-using-python-2-6/

Whilst we're here, how about dropping 3.3, which reaches end of life next week?

Comments (3)

  1. Ned Batchelder repo owner

    Yes, I plan to drop 2.6 and 3.3 in coverage.py 5.0. No clear plans for when that is, though.

  2. Log in to comment